Figure - Bug #113470
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd O 80 O O O O CRASH: com.android.settings 80
2022-11-01 14:48 - CD Test(] [J

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-25

Test Type: Monkey Test Root cause: OD0handler OO0 O0D0ODOODOOOODOOQODOOC
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 09:28:33.806 6173 22850 W Monkey : // CRASH: com.android.settings (pid 5284)

10-28 09:28:33.806 6173 22850 W Monkey : // Short Msg: java.lang.NullPointerException

10-28 09:28:33.807 6173 22850 W Monkey : // Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.Object
android.content.Context.getSystemService(java.lang.Class)' on a null object reference

10-28 09:28:33.807 6173 22850 W Monkey : // Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys

10-28 09:28:33.807 6173 22850 W Monkey : // Build Changelist: 1230

10-28 09:28:33.807 6173 22850 W Monkey : // Build Time: 1666894340000

10-28 09:28:33.808 6173 22850 W Monkey : // java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.Object
android.content.Context.getSystemService(java.lang.Class)' on a null object reference

10-28 09:28:33.808 6173 22850 W Monkey :// at com.android.settings.wifi. WifiSettings.isWifiWWakeupEnabled (WifiSettings.java:967)
10-28 09:28:33.808 6173 22850 W Monkey :// at

com.android.settings.wifi. WifiSettings.setAdditionalSettingsSummaries(WifiSettings.java:934)

10-28 09:28:33.808 6173 22850 W Monkey :// at com.android.settings.wifi.WifiSettings.updateWifiEntryPreferences(WifiSettings.java:884)
10-28 09:28:33.808 6173 22850 W Monkey :// at com.android.settings.wifi. WifiSettings.onWifiStateChanged (WifiSettings.java:699)

10-28 09:28:33.808 6173 22850 W Monkey ://  at com.android.wifitrackerlib.BaseWifi Tracker$$ExternalSyntheticLambda0.run(Unknown
Source:2)

10-28 09:28:33.808 6173 22850 W Monkey :// at android.os.Handler.handleCallback(Handler.java:938)

10-28 09:28:33.808 6173 22850 W Monkey :// atandroid.os.Handler.dispatchMessage(Handler.java:99)

10-28 09:28:33.808 6173 22850 W Monkey :// atandroid.os.Looper.loopOnce(Looper.java:201)

10-28 09:28:33.808 6173 22850 W Monkey :// atandroid.os.Looper.loop(Looper.java:288)

10-28 09:28:33.808 6173 22850 W Monkey :// at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 09:28:33.808 6173 22850 W Monkey :// at java.lang.reflect. Method.invoke(Native Method)

10-28 09:28:33.808 6173 22850 W Monkey :// at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
10-28 09:28:33.808 6173 22850 W Monkey :// at com.android.internal.o0s.Zygotelnit. main(Zygotelnit.java:1009)

10-28 09:28:33.808 6173 22850 W Monkey : //
History

#1 - 2022-11-01 16:06 - CD Testd O

0 0O O Bug #113456 O O

#2-2022-11-0310:39-CDFW DO OO

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

- Root cause setto [ 0 O O Activity») O O O O O fragmentd O 0O O O O O getActivity[ getContextC) O 0 0O O Activityd 0 0 O O fragmentD D OO0 0 0O
Ofragment0 000 0O

ooo,0000a0
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

MonkeyOd O OO OODOOOODOOOMonkeydOOOO

#3-2022-11-07 11:16 - CD Testd O

- File Log.zip.001 added

- File Log.zip.002 added

- File Log.zip.003 added

- File Log.zip.004 added

- Status changed from RESOLVED to ASSIGNED
- % Done changed from 100 to 40

11040 DBO O O Monkey 600 D OO0 O 00O 20
0040000 0 MonkeyO 20 debugd O + 20 userd O O
O0010uwerD0O000D0O0O020000000000C0C00
goooo

#4-2022-11-1019:35-CDFW O OO

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 40 to 70

- Fixed Version changed from 2022-11-04 to 2022-11-11

- Root cause changed from O O 00 O Activityd 0O 0 O O O fragment O 0 O O O O getActivityd getContext( O O O O Activityd O O O O fragmentd O O 0 0 O
O0fragment0 0000 to00Ohandler 00 0000000000000 O00DOOOODOODOO-crash

.current status

goooo

.my analysis

O0handler 00 0000000000000 OOOOOOOOOcrash
.submit url
https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706
https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647

#5-2022-11-1019:36 -CDFW O O O
- Assignee changed from CD FW O O O to CD TestO O

#6 - 2022-11-14 11:01 - CD Test O

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Testld 0 to CDFW O O O
- % Done changed from 70 to 40

110110DbBO30 00000000100 0000000000 00300
0O00FTPO
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_113739/Tlog&#38;ANR.zip

#7-2022-11-1416:03-CDFW O O O
- Assignee changed from CDFW O O O to CD Fw-0O O

#8 - 2022-11-1419:50 - CD FW-0O O

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 40 to 100

- Fixed Version changed from 2022-11-11 to 2022-11-15

O0000Opostbelay0 00 0000000000000 O0O0O0O0O0OOOOOOOOOO contextO nullO

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/162560

#9 - 2022-11-1510:45- CD FW-0O O

- Assignee changed from CD FW-[J 0 to CD Test) O
- Fixed Version changed from 2022-11-15 to 2022-11-17
#10 - 2022-11-16 11:02 - CD TestO O

- % Done changed from 100 to 70

0ung1rooooo

#11 - 2022-11-18 10:27 - CD Testd O
110 170 Released O O O O

MonkeyD 0 000002000

#12 - 2022-11-22 10:10 - CD TestO O

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test) O to CD FW-0 O
- % Done changed from 70 to 40

0gooo010i1sobpeoO0On?20
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/162560

TlogO FTPO
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_113470/Tlog.zip

#13 - 2022-11-22 10:10 - CD TestO O
- Due date deleted (2022-11-08)
- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#14 - 2022-11-24 17:11-CDFW-0O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-[J 0 to CD Test) O
- % Done changed from 40 to 100

- Fixed Version changed from 2022-11-17 to 2022-11-25

m Current conclusion

00 000 0O O https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/164562

m My analysis
goooboobobobooboooooobo

m Nextaction

oooo

#15 - 2022-11-24 20:44 - CD TestO O
- % Done changed from 100 to 70

00110 250 O O released O O

#16 - 2022-11-28 10:42 - CD TestO O

uo2s0oooooooo

MonkeyO D OO0 002000

#17 - 2022-11-29 09:57 - CD TestO O

l11gze0DBOOCOOOOOO

MonkeyD 0 000001000

#18 - 2022-11-30 10:15 - CD TestO O
- Status changed from RESOLVED to VERIFIED
- % Done changed from 70 to 80

1g2700goooooo
goosxooooooobooooon
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113470/Tlog.zip
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/164562

#19 - 2022-11-30 10:15 - CD TestO O

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#20 - 2022-12-22 20:48 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

159676

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF:Settings: fix monkey crash issuel.Fix WIFI page null pointer problem2.Fix notification history page null pointer problemTC-RID: 1201-0201813IssuelD:
TS-R-BUG-113470 TS-R-BUG-113471 TS-R-BUG-113474 TS-R-BUG-113477Change-1d: 141d9d2da3e68804eec4a874026dc47c59%cd347¢c

#21 - 2022-12-22 20:53 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

162560

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix fragment's context is null. TC-RID: 1201-0201801Issuel D: TS-R-BUG-113470Change-1d: 1a8a607fb7c4f7f6cfe8d7bccea396ae5e056fh52

Files

Log.zip.001 40 MB 2022-11-07 CD TestO O

Log.zip.002 40 MB 2022-11-07 CD TestO O

Log.zip.003 40 MB 2022-11-07 CD Testd O

Log.zip.004 151 MB 2022-11-07 CD Testd O
